# SCSS colours
A bunch of big default colourlists from elsewhere compiled into SCSS mixins, because I like using default colour lists when intially hashing out web design stuff.

Licenses for the actual colour lists may vary (can you even bind a pure list of colours to a license?), so take the MIT license as only being for the files in this repo themselves.

## Colour lists
### Wikipedia's List of Colors — `_wikipedia.scss`
_CURRENTLY ONLY CONTAINS COLOURS FROM A-F_

Colours from Wikipedia's big "List of colors" articles (they're split into multiple because they're huge). I don't really know what the criteria is for adding a colour? This list is cobbled together from a bunch of sources, some of which are now gone, and I've retained these sources in comments at the end of the row for each colour.

Some are named duplicates with different values according to their source, and these will be distinguished between by adding an underscore at the end and then some source info (e.g. 'blue' which has 6 duplicates, `$blue` (this is an X11 colours one), `$blue_crayola`, `$blue_munsell`, `$blue_ncs`, `$blue_pantone` and `$blue_cmyk`). Others are duplicate colours with varying names that were just kinda there for some reason (`$congoPink` and `$coralPink`)

SOURCE: https://en.wikipedia.org/wiki/Lists_of_colors

### xkcd Color Survey — `_xkcd.scss`
A 2010 survey of xkcd readers asking them to select and name colours. Apparently something like 5 million colours were given named by 222,500 people, but this is whittled down to only 954 of the most common colours.

Some of the colour names are vulgar, some are gross, and some are both. Some names have typos, and there's even duplicates with slightly different spelling (fuschia and ochre are good examples).

Entries that are almost the same with the only difference being the lack or addition of a space (e.g. 'dark blue' vs 'darkblue', 'bubblegum pink' vs 'bubble gum pink') will be marked with an underscore at the end of the version with a space and will still adhere to the normal camel case rules as well (for the ones used as an example earlier, they're `$darkBlue_` and `$darkblue`, `$bubblegumPink` and `$bubbleGumPink_`)

SOURCE: https://blog.xkcd.com/2010/05/03/color-survey-results/